<?php
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

$app->post('/consultaInicialVerificacion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaMensajero(); $paso=$a->consulta_inicial_verificacion_general($post["id"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoMensajeria',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaMensajero(); $paso=$a->venta_tipo_entrega_auxiliar($post["tipo"],$post["id"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/seleccionPedidoMensajeria',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaMensajero(); $paso=$a->seleccion_pedido($post["id"],$post["idVenta"],$post["tipo"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoFinal',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaMensajero(); $paso=$a->venta_tipo_final($post["id"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/confirmarPedidoMensajero',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaMensajero(); $paso=$a->confirmar_pedido_mensajero($post["idVenta"],$post["ruta"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/consultaVerificarPedido',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaMensajero(); $paso=$a->consulta_verificacion_pedido($post["id"],$post["idVenta"],$post["tipo"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaTipoFinalFinal',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaMensajero(); $paso=$a->venta_tipo_final_final($post["id"],$post["pagina"],$post["ancho"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/liberarPedido',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaMensajero(); $a1=$a->liberarPedido($post["idVenta"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/terminarMensajero',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaMensajero(); $a1=$a->terminar_mensajero($post["idVenta"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/transferenciaComprobante',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaMensajero(); $a1=$a->transferencia_comprobante($post["idVenta"],$post["ruta22"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/pedidoSeleccionado',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaMensajero(); $a1=$a->pedido_seleccionado($post["pagina"],$post["id"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/selPedido',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaMensajero(); $a1=$a->sel_pedido($post["id"],$post["idVenta"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/pedidoSeleccion',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaMensajero(); $a1=$a->pedido_seleccion($post["pagina"],$post["idBodega"]??"6"); 
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/liberarPedidoTodos',function (Request $pedido, Response $res, $args) {
$post=$pedido->getParsedBody(); $a=new ConsultaMensajero(); $a1=$a->liberarPedidoTodos($post["idMensajero"]);    
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/conteoGeneralMensajero',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaMensajero(); $paso=$a->conteoGeneralMensajero($post["idMensajero"],$post["idBodega"]??"6");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/terminarMensajeroAuxGene',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaMensajero();  $a1=$a->terminarMensajeroAuxGene($post["idVenta"],$post["estado"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});
?>
